INT(3)

NAME
int - integral type macros

SYNOPSIS
    #include <int.h>

DESCRIPTION
This header defines macros for the local integral types. and are always defined to integral types with a size of 1, 2 and 4 bytes respectively. The macros where n is a power of 2 greater than 4 are defined if the type is supported. is defined to be the largest support integral type. is the swap(3) operation that converts a local to canonical big-endian representation.

SEE ALSO
swap(3)